Oracle Linux 7 : git (ELSA-2020-2337)

high Nessus Plugin ID 136958

Synopsis

The remote Oracle Linux host is missing one or more security updates.

Description

From Red Hat Security Advisory 2020:2337 :

The remote Redhat Enterprise Linux 7 host has packages installed that are affected by a vulnerability as referenced in the RHSA-2020:2337 advisory.

- git: Crafted URL containing new lines, empty host or lacks a scheme can cause credential leak (CVE-2020-11008)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected git packages.

See Also

https://oss.oracle.com/pipermail/el-errata/2020-May/009982.html

Plugin Details

Severity: High

ID: 136958

File Name: oraclelinux_ELSA-2020-2337.nasl

Version: 1.3

Type: local

Agent: unix

Published: 5/29/2020

Updated: 8/10/2020

Supported Sensors: Frictionless Assessment Agent, Nessus Agent

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 3.7

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:emacs-git, p-cpe:/a:oracle:linux:emacs-git-el, p-cpe:/a:oracle:linux:git, p-cpe:/a:oracle:linux:git-all, p-cpe:/a:oracle:linux:git-bzr, p-cpe:/a:oracle:linux:git-cvs, p-cpe:/a:oracle:linux:git-daemon, p-cpe:/a:oracle:linux:git-email, p-cpe:/a:oracle:linux:git-gnome-keyring, p-cpe:/a:oracle:linux:git-gui, p-cpe:/a:oracle:linux:git-hg, p-cpe:/a:oracle:linux:git-instaweb, p-cpe:/a:oracle:linux:git-p4, p-cpe:/a:oracle:linux:git-svn, p-cpe:/a:oracle:linux:gitk, p-cpe:/a:oracle:linux:gitweb, p-cpe:/a:oracle:linux:perl-Git, p-cpe:/a:oracle:linux:perl-Git-SVN, cpe:/o:oracle:linux:7

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 5/29/2020

Vulnerability Publication Date: 4/21/2020

Reference Information

CVE: CVE-2020-11008

RHSA: 2020:2337